package repostatus

import (
	"go.wit.com/gui/gui"
	"go.wit.com/gui/gadgets"
)

type RepoStatus struct {
	ready	bool
	hidden	bool
	changed	bool

	repopath string
	lasttagrev string
	tags map[string]string

	parent	*gui.Node

	window	*gadgets.BasicWindow
	group	*gui.Node
	grid	*gui.Node

//	status		*gadgets.OneLiner
	dirtyLabel	*gadgets.OneLiner
	path		*gadgets.OneLiner

	currentBranch	*gadgets.OneLiner
	currentVersion	*gadgets.OneLiner
	tagsDrop	*gadgets.BasicDropdown

	lasttag		*gadgets.OneLiner
	masterBranch	*gadgets.OneLiner
	develBranch	*gadgets.OneLiner
	jcarrBranch	*gadgets.OneLiner

	develMerge	*gui.Node
	releaseVersion	*gui.Node

	vgroup		*gui.Node
	minor		*gadgets.BasicCombobox
	major		*gadgets.BasicCombobox
	revision	*gadgets.BasicCombobox
	versionMessage	*gadgets.BasicEntry
	versionCmds	[][]string
	versionCmdOutput	*gadgets.OneLiner

	newversion	*gui.Node

	speed		*gadgets.OneLiner
	speedActual	*gadgets.OneLiner
}
